# vim: syntax=spec

Name:       tpm2-algtest
Version:    0.5.7
Release:    1%{?dist}
Summary:    TPM2 performance testing tool
License:    BSD
URL:        https://github.com/crocs-muni/tpm2-algtest
VCS:        git+https://github.com/danzatt/tpm2-algtest.git#3ecb39c6d351dbfd2631f906b73bea70f57567a3:
Source:     tpm2-algtest-3ecb39c6.tar.gz
Requires:   tpm2-tss tpm2-tools python3-cryptography openssl
BuildRequires: cmake make gcc tpm2-tss-devel openssl-devel
Patch0: rewrite-the-walrus-operator.patch
Patch1: anonymize-hostname.patch

%description
It has been found out that implementation specifics of cryptographic smart
cards can lead to serious vulnerabilities [1]. Since TPM chips are often
manufactured by the same vendors, we have decided to create a tool that would
help with collection of data from various TPMs that could be used for further
analysis and discovery of similar bugs.

%global debug_package %{nil}

%prep
%setup -T -b 0 -q -n tpm2-algtest
%patch0 -p1
%patch1 -p1

%build
mkdir build
cd build
cmake ..
make

%install
mkdir -p %{buildroot}/usr/bin/
cp run_algtest.py %{buildroot}/usr/bin/
cd build
make DESTDIR=%{buildroot} install

%files
/usr/bin/tpm2_algtest
/usr/bin/run_algtest.py

%changelog
